Bug 2000858 - Add documentation link for MON_DISK_LOW [NEEDINFO]
Summary: Add documentation link for MON_DISK_LOW
Keywords:
Status: ON_QA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.9.0
Assignee: Pranshu Srivastava
QA Contact: Mugdha Soni
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-03 08:11 UTC by Pranshu Srivastava
Modified: 2021-10-20 02:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
prasriva: needinfo? (musoni)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9984 0 None None None 2021-09-03 08:14:58 UTC

Description Pranshu Srivastava 2021-09-03 08:11:56 UTC
Description of problem: We don't have a troubleshoot link for the MON_DISK_LOW health check at the moment.


How reproducible: Everytime


Actual results: User is directed to # (same page)


Expected results: User should be directed to a valid and useful URL

Comment 32 Mugdha Soni 2021-10-14 16:21:21 UTC
Hi Pranshu 

Performed the steps mentioned below for the validation of fix :-

1. Logged inside the mon pod and installed `fio`.
2.  Filled up space in the associated PV by `fio --name=fio-rand-readwrite --filename=/var/lib/ceph/mon/ceph-b/fiofile --readwrite=randrw --bs=4K  --direct=1 --numjobs=1 --time_based=1 --runtime=3600000000 --size=40G --iodepth=8 --rwmixread=75 --ioengine=libaio`
=====================================================================================================================================

sh-4.4# dnf install https://rpmfind.net/linux/dag/redhat/el7/en/x86_64/dag/RPMS/fio-2.1.10-1.el7.rf.x86_64.rpm 
Updating Subscription Management repositories.
Unable to read consumer identity
Subscription Manager is operating in container mode.

This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.

Red Hat Universal Base Image 8 (RPMs) - BaseOS                                                                                                                                     3.2 MB/s | 793 kB     00:00    
Red Hat Universal Base Image 8 (RPMs) - AppStream                                                                                                                                   15 MB/s | 2.4 MB     00:00    
Red Hat Universal Base Image 8 (RPMs) - CodeReady Builder                                                                                                                          140 kB/s |  15 kB     00:00    
fio-2.1.10-1.el7.rf.x86_64.rpm                                                                                                                                                     309 kB/s | 271 kB     00:00    
Dependencies resolved.
===================================================================================================================================================================================================================
 Package                                      Architecture                                    Version                                                  Repository                                             Size
===================================================================================================================================================================================================================
Installing:
 fio                                          x86_64                                          2.1.10-1.el7.rf                                          @commandline                                          271 k

Transaction Summary
===================================================================================================================================================================================================================
Install  1 Package

Total size: 271 k
Installed size: 1.2 M
Is this ok [y/N]: y
Downloading Packages:
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                                                                                                           1/1 
  Installing       : fio-2.1.10-1.el7.rf.x86_64                                                                                                                                                                1/1 
  Verifying        : fio-2.1.10-1.el7.rf.x86_64                                                                                                                                                                1/1 
Installed products updated.

Installed:
  fio-2.1.10-1.el7.rf.x86_64                                                                                                                                                                                       

Complete!
sh-4.4# fio --name=fio-rand-readwrite --filename=/var/lib/ceph/mon/ceph-b/fiofile --readwrite=randrw --bs=4K  --direct=1 --numjobs=1 --time_based=1 --runtime=3600000000 --size=40G --iodepth=8 --rwmixread=75 --ioengine=libaio
fio-rand-readwrite: (g=0): rw=randrw, bs=4K-4K/4K-4K/4K-4K, ioengine=libaio, iodepth=8
fio-2.1.10
Starting 1 process
fio-rand-readwrite: Laying out IO file(s) (1 file(s) / 40960MB)

Jobs: 1 (f=1): [m] [0.0% done] [8832KB/3140KB/0KB /s] [2208/785/0 iops] [eta 1158042397d:16h:26m:38s]
.
.
.
Jobs: 1 (f=1): [m] [0.0% done] [8880KB/3072KB/0KB /s] [2220/768/0 iops] [eta 1158042397d:16h:16m:53s]

===========================================================================================================================

sh-4.4# df -Th
Filesystem     Type     Size  Used Avail Use% Mounted on
overlay        overlay  120G   11G  109G   9% /
tmpfs          tmpfs     64M     0   64M   0% /dev
tmpfs          tmpfs     32G     0   32G   0% /sys/fs/cgroup
shm            tmpfs     64M     0   64M   0% /dev/shm
tmpfs          tmpfs     32G   56M   32G   1% /etc/hostname
tmpfs          tmpfs     62G  4.0K   62G   1% /etc/ceph
/dev/nvme0n1p4 xfs      120G   11G  109G   9% /etc/hosts
tmpfs          tmpfs     62G  4.0K   62G   1% /etc/ceph/keyring-store
/dev/nvme1n1   ext4      49G   41G  8.9G  82% /var/lib/ceph/mon/ceph-b

Also confirmed that  I/O ops are happening simultaneously, but no alert was observed in the UI nor the link to troubleshooting guide .

Please guide me here !

Thanks
Mugdha Soni


Note You need to log in before you can comment on or make changes to this bug.